GNU bug report logs - #31319
ghc-case-insensitive: Duplicate 'inputs' field.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Mark H Weaver <mhw@HIDDEN>; Done: Ludovic Courtès <ludo@HIDDEN>; Maintainer for guix is bug-guix@HIDDEN.

Message received at 31319-done <at> debbugs.gnu.org:


Received: (at 31319-done) by debbugs.gnu.org; 22 Jan 2019 22:06:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 22 17:06:31 2019
Received: from localhost ([127.0.0.1]:41684 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gm4Bj-0002bL-2Q
	for submit <at> debbugs.gnu.org; Tue, 22 Jan 2019 17:06:31 -0500
Received: from hera.aquilenet.fr ([185.233.100.1]:50848)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1gm4Bh-0002bB-4o
 for 31319-done <at> debbugs.gnu.org; Tue, 22 Jan 2019 17:06:29 -0500
Received: from localhost (localhost [127.0.0.1])
 by hera.aquilenet.fr (Postfix) with ESMTP id BC4224F10;
 Tue, 22 Jan 2019 23:06:27 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at aquilenet.fr
Received: from hera.aquilenet.fr ([127.0.0.1])
 by localhost (hera.aquilenet.fr [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id PfFeyzO9p4xg; Tue, 22 Jan 2019 23:06:27 +0100 (CET)
Received: from ribbon (unknown [IPv6:2a01:e0a:1d:7270:af76:b9b:ca24:c465])
 by hera.aquilenet.fr (Postfix) with ESMTPSA id D67464F0E;
 Tue, 22 Jan 2019 23:06:26 +0100 (CET)
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Mark H Weaver <mhw@HIDDEN>
Subject: Re: bug#31319: ghc-case-insensitive: Duplicate 'inputs' field.
References: <87a7tka8ko.fsf@HIDDEN>
Date: Tue, 22 Jan 2019 23:06:26 +0100
In-Reply-To: <87a7tka8ko.fsf@HIDDEN> (Mark H. Weaver's message of "Mon, 30
 Apr 2018 13:49:11 -0400")
Message-ID: <87d0oojqjh.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 31319-done
Cc: 31319-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Mark H Weaver <mhw@HIDDEN> skribis:

> Our 'ghc-case-insensitive' package contains two 'inputs' field
> initializers.  If I'm not mistaken, the first one is being effectively
> ignored, so 'ghc-hunit' is not actually an input.

Fixed in b2e46ac5318dd790530659a459bd1e714287ff37.

Ludo=E2=80=99.




Notification sent to Mark H Weaver <mhw@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Ludovic Courtès <ludo@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 31319 <at> debbugs.gnu.org:


Received: (at 31319) by debbugs.gnu.org; 20 Jul 2018 21:24:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 20 17:24:43 2018
Received: from localhost ([127.0.0.1]:50029 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fgctH-0008Br-13
	for submit <at> debbugs.gnu.org; Fri, 20 Jul 2018 17:24:43 -0400
Received: from world.peace.net ([64.112.178.59]:40710)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mhw@HIDDEN>) id 1fgctF-0008Bf-Og
 for 31319 <at> debbugs.gnu.org; Fri, 20 Jul 2018 17:24:42 -0400
Received: from mhw by world.peace.net with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.89)
 (envelope-from <mhw@HIDDEN>)
 id 1fgct9-0000lV-Qz; Fri, 20 Jul 2018 17:24:35 -0400
From: Mark H Weaver <mhw@HIDDEN>
To: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
Subject: Re: bug#31319: ghc-case-insensitive: Duplicate 'inputs' field.
References: <87a7tka8ko.fsf@HIDDEN> <878t8swj9n.fsf@HIDDEN>
 <87lgcrcrxk.fsf@HIDDEN> <871scliy9p.fsf@HIDDEN>
 <878t67wnjr.fsf@HIDDEN>
Date: Fri, 20 Jul 2018 17:23:17 -0400
In-Reply-To: <878t67wnjr.fsf@HIDDEN> ("Ludovic
 \=\?utf-8\?Q\?Court\=C3\=A8s\=22'\?\=
 \=\?utf-8\?Q\?s\?\= message of "Thu, 19 Jul 2018 12:02:48 +0200")
Message-ID: <87sh4d38l6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 31319
Cc: 31319 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Ludovic,

ludo@HIDDEN (Ludovic Court=C3=A8s) writes:

> Ping!
>
> I=E2=80=99d really like to apply the patch you posted in
> <https://lists.gnu.org/archive/html/guix-devel/2018-04/msg00201.html>
> along with the corresponding package fixes.

Yes, sorry for the long delay on this.  I've been nervous about
<https://bugs.gnu.org/29774>, which I encountered after applying my
patch to detect duplicate fields, and which has not yet been explained
as far as I know.  The problem seems to be sensitive to seemingly
unrelated changes in the source tree.  Since I run Guix from my own
private branch, I'm not confident what will happen if I apply this patch
to master.

> I can do that if you want.

Please do.

     Thanks!
       Mark




Information forwarded to bug-guix@HIDDEN:
bug#31319; Package guix. Full text available.

Message received at 31319 <at> debbugs.gnu.org:


Received: (at 31319) by debbugs.gnu.org; 19 Jul 2018 10:03:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 19 06:03:05 2018
Received: from localhost ([127.0.0.1]:47531 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fg5m5-00027w-HP
	for submit <at> debbugs.gnu.org; Thu, 19 Jul 2018 06:03:05 -0400
Received: from eggs.gnu.org ([208.118.235.92]:41573)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1fg5m2-00027R-JH
 for 31319 <at> debbugs.gnu.org; Thu, 19 Jul 2018 06:03:02 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1fg5lr-000676-Uz
 for 31319 <at> debbugs.gnu.org; Thu, 19 Jul 2018 06:02:56 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.5 required=5.0 tests=BAYES_05 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:50062)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1fg5lr-00066y-PW; Thu, 19 Jul 2018 06:02:51 -0400
Received: from [193.50.110.227] (port=50764 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1fg5lq-0001SS-Uk; Thu, 19 Jul 2018 06:02:51 -0400
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: Mark H Weaver <mhw@HIDDEN>
Subject: Re: bug#31319: ghc-case-insensitive: Duplicate 'inputs' field.
References: <87a7tka8ko.fsf@HIDDEN> <878t8swj9n.fsf@HIDDEN>
 <87lgcrcrxk.fsf@HIDDEN> <871scliy9p.fsf@HIDDEN>
Date: Thu, 19 Jul 2018 12:02:48 +0200
In-Reply-To: <871scliy9p.fsf@HIDDEN> ("Ludovic
 \=\?utf-8\?Q\?Court\=C3\=A8s\=22'\?\=
 \=\?utf-8\?Q\?s\?\= message of "Mon, 02 Jul 2018 15:05:06 +0200")
Message-ID: <878t67wnjr.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 31319
Cc: 31319 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

Ping!

I=E2=80=99d really like to apply the patch you posted in
<https://lists.gnu.org/archive/html/guix-devel/2018-04/msg00201.html>
along with the corresponding package fixes.

I can do that if you want.

Ludo=E2=80=99.

ludo@HIDDEN (Ludovic Court=C3=A8s) skribis:

> Hello Mark,
>
> Mark H Weaver <mhw@HIDDEN> skribis:
>
>> It's true that it wouldn't change anything to simply remove those
>> ignored duplicate field initializers.  However, I thought it would be
>> better to give people familiar with these packages an opportunity to
>> investigate.  Someone may have had a good reason for adding those
>> inputs, even if they are not strictly needed for a successful build.
>>
>> Of course, at some point we should timeout on this.  I would advocate
>> commenting out the redundant duplicates instead of simply deleting them,
>> along with a FIXME comment asking someone to investigate.  We could also
>> look in the commit history to find out who added those redundant inputs,
>> and ask them directly.
>>
>> If you're impatient to get the duplicate field detection patch committed
>> soon, I could implement these "timeout" measures in the next couple of
>> days.
>
> I think we should go ahead now and mechanically fix packages with
> duplicate fields, and apply the duplicate detection patch.
>
> Would you like to do that?
>
> Thanks,
> Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#31319; Package guix. Full text available.

Message received at 31319 <at> debbugs.gnu.org:


Received: (at 31319) by debbugs.gnu.org; 2 Jul 2018 13:05:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 02 09:05:20 2018
Received: from localhost ([127.0.0.1]:42683 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fZyW8-0002gf-IP
	for submit <at> debbugs.gnu.org; Mon, 02 Jul 2018 09:05:20 -0400
Received: from eggs.gnu.org ([208.118.235.92]:45919)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1fZyW7-0002gO-H3
 for 31319 <at> debbugs.gnu.org; Mon, 02 Jul 2018 09:05:19 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1fZyVw-00064d-Qu
 for 31319 <at> debbugs.gnu.org; Mon, 02 Jul 2018 09:05:14 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.5 required=5.0 tests=BAYES_05 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:57891)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1fZyVw-00064Q-Me; Mon, 02 Jul 2018 09:05:08 -0400
Received: from [193.50.110.150] (port=59146 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1fZyVw-0005Zx-8V; Mon, 02 Jul 2018 09:05:08 -0400
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: Mark H Weaver <mhw@HIDDEN>
Subject: Re: bug#31319: ghc-case-insensitive: Duplicate 'inputs' field.
References: <87a7tka8ko.fsf@HIDDEN> <878t8swj9n.fsf@HIDDEN>
 <87lgcrcrxk.fsf@HIDDEN>
Date: Mon, 02 Jul 2018 15:05:06 +0200
In-Reply-To: <87lgcrcrxk.fsf@HIDDEN> (Mark H. Weaver's message of "Thu, 10
 May 2018 13:59:51 -0400")
Message-ID: <871scliy9p.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 31319
Cc: 31319 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

Hello Mark,

Mark H Weaver <mhw@HIDDEN> skribis:

> It's true that it wouldn't change anything to simply remove those
> ignored duplicate field initializers.  However, I thought it would be
> better to give people familiar with these packages an opportunity to
> investigate.  Someone may have had a good reason for adding those
> inputs, even if they are not strictly needed for a successful build.
>
> Of course, at some point we should timeout on this.  I would advocate
> commenting out the redundant duplicates instead of simply deleting them,
> along with a FIXME comment asking someone to investigate.  We could also
> look in the commit history to find out who added those redundant inputs,
> and ask them directly.
>
> If you're impatient to get the duplicate field detection patch committed
> soon, I could implement these "timeout" measures in the next couple of
> days.

I think we should go ahead now and mechanically fix packages with
duplicate fields, and apply the duplicate detection patch.

Would you like to do that?

Thanks,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#31319; Package guix. Full text available.

Message received at 31319 <at> debbugs.gnu.org:


Received: (at 31319) by debbugs.gnu.org; 10 May 2018 20:31:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 10 16:31:07 2018
Received: from localhost ([127.0.0.1]:56908 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fGsDS-00040a-Qm
	for submit <at> debbugs.gnu.org; Thu, 10 May 2018 16:31:06 -0400
Received: from eggs.gnu.org ([208.118.235.92]:34889)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1fGsDR-000407-Kd
 for 31319 <at> debbugs.gnu.org; Thu, 10 May 2018 16:31:05 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1fGsDL-0006eX-MK
 for 31319 <at> debbugs.gnu.org; Thu, 10 May 2018 16:31:00 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:39215)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1fGsDL-0006eS-I3; Thu, 10 May 2018 16:30:59 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=55924 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1fGsDL-0004dj-4K; Thu, 10 May 2018 16:30:59 -0400
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: Mark H Weaver <mhw@HIDDEN>
Subject: Re: bug#31319: ghc-case-insensitive: Duplicate 'inputs' field.
References: <87a7tka8ko.fsf@HIDDEN> <878t8swj9n.fsf@HIDDEN>
 <87lgcrcrxk.fsf@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 21 =?utf-8?Q?Flor=C3=A9al?= an 226 de la =?utf-8?Q?R?=
 =?utf-8?Q?=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Thu, 10 May 2018 22:30:57 +0200
In-Reply-To: <87lgcrcrxk.fsf@HIDDEN> (Mark H. Weaver's message of "Thu, 10
 May 2018 13:59:51 -0400")
Message-ID: <87o9hntfr2.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 31319
Cc: 31319 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

Hi Mark,

Mark H Weaver <mhw@HIDDEN> skribis:

> If you're impatient to get the duplicate field detection patch committed
> soon, I could implement these "timeout" measures in the next couple of
> days.
>
> What do you think?

A timeout of a few days would be perfect.  :-)

Thank you!

Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#31319; Package guix. Full text available.

Message received at 31319 <at> debbugs.gnu.org:


Received: (at 31319) by debbugs.gnu.org; 10 May 2018 18:00:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 10 14:00:54 2018
Received: from localhost ([127.0.0.1]:56805 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fGps6-0000XX-Iq
	for submit <at> debbugs.gnu.org; Thu, 10 May 2018 14:00:54 -0400
Received: from world.peace.net ([64.112.178.59]:42940)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mhw@HIDDEN>) id 1fGps4-0000XI-UN
 for 31319 <at> debbugs.gnu.org; Thu, 10 May 2018 14:00:53 -0400
Received: from mhw by world.peace.net with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.89)
 (envelope-from <mhw@HIDDEN>)
 id 1fGpry-0006Ap-Kw; Thu, 10 May 2018 14:00:46 -0400
From: Mark H Weaver <mhw@HIDDEN>
To: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
Subject: Re: bug#31319: ghc-case-insensitive: Duplicate 'inputs' field.
References: <87a7tka8ko.fsf@HIDDEN> <878t8swj9n.fsf@HIDDEN>
Date: Thu, 10 May 2018 13:59:51 -0400
In-Reply-To: <878t8swj9n.fsf@HIDDEN> ("Ludovic
 \=\?utf-8\?Q\?Court\=C3\=A8s\=22'\?\=
 \=\?utf-8\?Q\?s\?\= message of "Thu, 10 May 2018 00:34:28 +0200")
Message-ID: <87lgcrcrxk.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 31319
Cc: 31319 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Ludovic,

ludo@HIDDEN (Ludovic Court=C3=A8s) writes:

> Mark H Weaver <mhw@HIDDEN> skribis:
>
>> Our 'ghc-case-insensitive' package contains two 'inputs' field
>> initializers.  If I'm not mistaken, the first one is being effectively
>> ignored, so 'ghc-hunit' is not actually an input.
>>
>> It would be good to clean this up so that we can start raising errors
>> when duplicate field initializers are present.
>
> What about applying your patch that detects duplicate fields, rebuilding
> all the .go files, and then resolving any such case by keeping only the
> last occurrence of the field?
>
> This is what happens currently anyway so it won=E2=80=99t change the deri=
vations
> produced for the faulty packages.

It's true that it wouldn't change anything to simply remove those
ignored duplicate field initializers.  However, I thought it would be
better to give people familiar with these packages an opportunity to
investigate.  Someone may have had a good reason for adding those
inputs, even if they are not strictly needed for a successful build.

Of course, at some point we should timeout on this.  I would advocate
commenting out the redundant duplicates instead of simply deleting them,
along with a FIXME comment asking someone to investigate.  We could also
look in the commit history to find out who added those redundant inputs,
and ask them directly.

If you're impatient to get the duplicate field detection patch committed
soon, I could implement these "timeout" measures in the next couple of
days.

What do you think?

      Mark




Information forwarded to bug-guix@HIDDEN:
bug#31319; Package guix. Full text available.

Message received at 31319 <at> debbugs.gnu.org:


Received: (at 31319) by debbugs.gnu.org; 9 May 2018 22:34:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 09 18:34:38 2018
Received: from localhost ([127.0.0.1]:55689 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fGXfR-0001Wx-RL
	for submit <at> debbugs.gnu.org; Wed, 09 May 2018 18:34:38 -0400
Received: from eggs.gnu.org ([208.118.235.92]:36433)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1fGXfQ-0001Wk-Pr
 for 31319 <at> debbugs.gnu.org; Wed, 09 May 2018 18:34:37 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1fGXfK-000522-Ji
 for 31319 <at> debbugs.gnu.org; Wed, 09 May 2018 18:34:31 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_20 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:49030)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1fGXfK-00051y-G5; Wed, 09 May 2018 18:34:30 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=37894 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1fGXfK-0002Ey-1x; Wed, 09 May 2018 18:34:30 -0400
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: Mark H Weaver <mhw@HIDDEN>
Subject: Re: bug#31319: ghc-case-insensitive: Duplicate 'inputs' field.
References: <87a7tka8ko.fsf@HIDDEN>
Date: Thu, 10 May 2018 00:34:28 +0200
In-Reply-To: <87a7tka8ko.fsf@HIDDEN> (Mark H. Weaver's message of "Mon, 30
 Apr 2018 13:49:11 -0400")
Message-ID: <878t8swj9n.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 31319
Cc: 31319 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

Hi Mark,

Mark H Weaver <mhw@HIDDEN> skribis:

> Our 'ghc-case-insensitive' package contains two 'inputs' field
> initializers.  If I'm not mistaken, the first one is being effectively
> ignored, so 'ghc-hunit' is not actually an input.
>
> It would be good to clean this up so that we can start raising errors
> when duplicate field initializers are present.

What about applying your patch that detects duplicate fields, rebuilding
all the .go files, and then resolving any such case by keeping only the
last occurrence of the field?

This is what happens currently anyway so it won=E2=80=99t change the deriva=
tions
produced for the faulty packages.

Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#31319; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 30 Apr 2018 17:50:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 30 13:50:24 2018
Received: from localhost ([127.0.0.1]:44199 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fDCwR-0002SL-SY
	for submit <at> debbugs.gnu.org; Mon, 30 Apr 2018 13:50:24 -0400
Received: from eggs.gnu.org ([208.118.235.92]:50463)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mhw@HIDDEN>) id 1fDCwQ-0002S9-By
 for submit <at> debbugs.gnu.org; Mon, 30 Apr 2018 13:50:22 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mhw@HIDDEN>) id 1fDCwK-0001c1-Ab
 for submit <at> debbugs.gnu.org; Mon, 30 Apr 2018 13:50:17 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:41563)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <mhw@HIDDEN>) id 1fDCwK-0001bv-4m
 for submit <at> debbugs.gnu.org; Mon, 30 Apr 2018 13:50:16 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:41422)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <mhw@HIDDEN>) id 1fDCwI-0001XS-U5
 for bug-guix@HIDDEN; Mon, 30 Apr 2018 13:50:15 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mhw@HIDDEN>) id 1fDCwD-0001Wh-RW
 for bug-guix@HIDDEN; Mon, 30 Apr 2018 13:50:14 -0400
Received: from world.peace.net ([64.112.178.59]:55422)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <mhw@HIDDEN>) id 1fDCwD-0001Va-Nc
 for bug-guix@HIDDEN; Mon, 30 Apr 2018 13:50:09 -0400
Received: from mhw by world.peace.net with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.89)
 (envelope-from <mhw@HIDDEN>)
 id 1fDCwC-0006l8-Lq; Mon, 30 Apr 2018 13:50:08 -0400
From: Mark H Weaver <mhw@HIDDEN>
To: bug-guix@HIDDEN
Subject: ghc-case-insensitive: Duplicate 'inputs' field.
Date: Mon, 30 Apr 2018 13:49:11 -0400
Message-ID: <87a7tka8ko.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

Our 'ghc-case-insensitive' package contains two 'inputs' field
initializers.  If I'm not mistaken, the first one is being effectively
ignored, so 'ghc-hunit' is not actually an input.

It would be good to clean this up so that we can start raising errors
when duplicate field initializers are present.

      Mark




Acknowledgement sent to Mark H Weaver <mhw@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#31319; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 22 Jan 2019 22:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.